| IOLink C# 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Member Functions | Properties | List of all members
IOLink.ParallelAccessExtension Class Reference

ImageView extension to give information about how to efficiently access it in a multi-threaded environment. More...

Inheritance diagram for IOLink.ParallelAccessExtension:

## Public Member Functions
| ParallelAccessExtension (global::System.IntPtr cPtr, bool cMemoryOwn)
virtual ImageSourceCapabilitySet | GetCapabilities ()
| Return the parallel-access capabilities of this view.
bool | Support (ImageSourceCapabilitySet flags)
| Checks if the view supports the given capabilities.
string | ToString ()
| String representation of the extension.
Public Member Functions inherited from IOLink.Extension
| Extension (global::System.IntPtr cPtr, bool cMemoryOwn)
void | Dispose ()

## Static Public Member Functions
static global::System.Runtime.InteropServices.HandleRef | getCPtr (ParallelAccessExtension obj)
static ParallelAccessExtension | Cast (Extension extension)
Static Public Member Functions inherited from IOLink.Extension
static global::System.Runtime.InteropServices.HandleRef | getCPtr (Extension obj)

## Static Public Attributes
static readonly uint | EXTENSION_ID = IOLinkPINVOKE.ParallelAccessExtension_EXTENSION_ID_get()

## Protected Member Functions
override void | Dispose (bool disposing)

## Properties
ImageSourceCapabilitySet | Capabilities`[get]`
| The Capabilities on the `ParallelAccessExtension`

## Detailed Description

ImageView extension to give information about how to efficiently access it in a multi-threaded environment.

ImageView content can be accessed with following features:

- thread-safe: no race conditions when accessing with multiple threads
- parallel-access by tile: hints benefits when tiles are accessed in parallel
- parallel-access: hints benefits when regions are accessed in parallel

In any case, parallel reading and writing into the same part of an image is not advised, as there is no control over the ordering of operations.

## Member Function Documentation

## ◆ Cast()

static ParallelAccessExtension IOLink.ParallelAccessExtension.Cast | ( | Extension | extension | ) |
| inline static

Upcast a generic extension to this specific type.

Parameters

  extension | The extension to cast.

Returns
  The upcasted extension. This will be null if no upcasting is possible.

## ◆ Dispose()

override void IOLink.ParallelAccessExtension.Dispose | ( | bool | disposing | ) |
| inline protected virtual

Reimplemented from IOLink.Extension.

The documentation for this class was generated from the following file:

- Release/net/generated/ParallelAccessExtension.cs